Rhino WIP Developers

v6-dev
v6

(Brian Gillespie) #1

If you want to write plug-ins for Rhino WIP, this is your category.

Warning: The Rhino SDK Version number changes with every release (weekly). Plug-ins built with this SDK will only load in a Rhino with exactly the same version number. It will be almost impossible for you to release plug-ins for customers to use.

Requirements:

  • Visual Studio 2015
  • 64-bit Only

C++ developers: download the Rhino WIP SDK.

Please ask any questions about Rhino WIP Plug-in development in this category.


Rhino WIP SDK Available
(Dale Fugier) #2

The Rhino WIP SDK works with the (free) Visual Studio Community 2015 edition. When installing this version of Visual Studio, make sure to perform a custom installation and select all Visual C++ components.


#3

Hello,

I get the following error while trying to install Rhino WIP SDK:

Could anybody suggest a way around.

Best regards,
Sunayana


#4

Please ignore my question. The problem is resolved as I needed to install
Rhino WIP first, found here : https://www.rhino3d.com/download/rhino/wip

Thanks,
Sunayana


#5

Hi All,
I’ve tried searching for the link that allows me to upload my rhino 5 (and GH) plugins and test if works for rhino 6 , but was unable to find the link. Would you be able to point me in the direction where I may find it?
Thanks,


(Lukasz Domagala) #6

this one?


#7

Perfect thanks!!!


#8

Hello,

I end up having trouble creating my first plugin with Rhino WIP C++ SDK using Visual Studio 2017.
This is the error message I get :

I get this error after this step, as soon as I click on Finish

has anyone seen the same problem and would know how to resolve it.

Thanks
Sunayana


#9

Please ignore my earlier post. I was able to resolve the problem by reinstalling visual c++ in visual studio 2017

Thanks.
Sunayana